Subject: IPP>MOD - Model diagram

From: [email-masked]
Date: Thu, 27 Feb 1997 11:45:06 -0500

Classification:
Prologue:
Epilogue: Roger K deBry
Senior Techncial Staff Member
Architecture and Technology
IBM Printing Systems
email: [email-masked]
phone: 1-303-924-4080

Here is another rev of the diagram, based on comments from Keith and Bob.
  dotted boxes (...) indicate optional components. For example, a Windows
client would include a spooler and a device driver. A Unix client might not.
Similarly, an IPP Printer may include a Printing Service (spooler, scheduler,
etc.) but may simply be an IPP Server in the output device.

Comments?
                             +--------------+
                             |  Application |
                             +------+-------+
                                    |
                   o         +..............+
                  \|/        |   Spooler    |
                  / \        +..............+
                End-User            |
      +-----------+ +-----+  +..............+
      |  Browser  | | GUI |  | Print Driver |
      +-----+-----+ +--+--+  +..............+
            |          |            |
            |      +---+------------+---+
N   D   S   |      |      IPP Client    |
O   I   E   |      +---------+----------+
T   R   C   |                |
I   E   U   |
F   C   R  -------------- Transport -----------
I   T   I
C   O   T                    |         --+
A   R   Y           +--------+--------+  |
T   Y               |    IPP Server   |  |
I                   +--------+--------+  |
O                            |           |
N                   +.................+  | IPP Printer
                    |  Print Service  |  |
                    +.................+  |
                             |           |
                      Output Device(s)   |
                                       --+